/* global Given, When, Then */
import { Given, When, Then, And } from "cypress-cucumber-preprocessor/steps";

describe("As a Trusker, when I subscribe, I am asked for a mobile phone number.", () => {
    Given('I am a trusker on the logpage', () => {
        cy.log("");
    });
    
    When('I sign up with my email', () => {
        cy.log("")
    });
    
    Then("I have to provide a phone number", () => {
        cy.log("");
    });
});

describe("As an Outsider, I can't subscribe", () => {
    Given("I don't have a Trusker email on the logpage");
    When("I sign up with '@yopmail.com'");
    Then("I am prevented to subscribe");
})

describe("As a Trusker, I can't subcribe twice", ()=> {
    Given("I already have a TruskX account");
    When("I sign up with my email");
    Then("I am alerted i already have an account");
})